## net.i2p.router.web
Class ConfigNetHelper

    java.lang.Object
      net.i2p.router.web.ConfigNetHelper

    public class ConfigNetHelper

extends java.lang.Object

Field Summary
`static int` `DEFAULT_SHARE_PERCENTAGE`
`static java.lang.String` `PROP_I2NP_INTERNAL_UDP_PORT`
`static java.lang.String` `PROP_I2NP_NTCP_AUTO_IP`
`static java.lang.String` `PROP_I2NP_NTCP_AUTO_PORT`
`static java.lang.String` `PROP_I2NP_NTCP_HOSTNAME`
`static java.lang.String` `PROP_I2NP_NTCP_PORT`
`static java.lang.String` `PROP_I2NP_TCP_HOSTNAME` copied from various private TCP components
`static java.lang.String` `PROP_I2NP_TCP_PORT`
`static java.lang.String` `PROP_I2NP_UDP_PORT`
`static java.lang.String` `PROP_INBOUND_BURST`
`static java.lang.String` `PROP_INBOUND_BURST_KBPS`
`static java.lang.String` `PROP_INBOUND_KBPS`
`static java.lang.String` `PROP_OUTBOUND_BURST`
`static java.lang.String` `PROP_OUTBOUND_BURST_KBPS`
`static java.lang.String` `PROP_OUTBOUND_KBPS`
`static java.lang.String` `PROP_SHARE_PERCENTAGE`

Constructor Summary
`ConfigNetHelper()`

Method Summary
`java.lang.String` `getDynamicKeysChecked()`
`java.lang.String` `getEnableLoadTesting()`
`java.lang.String` `getEnableTimeSyncChecked()`
`java.lang.String` `getHiddenModeChecked()`
`java.lang.String` `getHostname()`
`java.lang.String` `getInboundBurstFactorBox()`
`java.lang.String` `getInboundBurstRate()`
`java.lang.String` `getInboundRate()`
`java.lang.String` `getNtcphostname()`
`java.lang.String` `getNtcpport()`
`java.lang.String` `getOutboundBurstFactorBox()`
`java.lang.String` `getOutboundBurstRate()`
`java.lang.String` `getOutboundRate()`
`java.lang.String` `getRequireIntroductionsChecked()`
`int` `getShareBandwidth()`
`java.lang.String` `getSharePercentageBox()`
`java.lang.String` `getTcpAutoIPChecked()`
`java.lang.String` `getTcpAutoPortChecked()`
`java.lang.String` `getTcpPort()`
`java.lang.String` `getUdpAddress()`
`java.lang.String` `getUdpIP()`
`java.lang.String` `getUdpPort()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_I2NP_TCP_HOSTNAME

    public static final java.lang.String PROP_I2NP_TCP_HOSTNAME

  copied from various private TCP components

  See Also:
    Constant Field Values

### PROP_I2NP_TCP_PORT

    public static final java.lang.String PROP_I2NP_TCP_PORT

See Also:
  Constant Field Values

### PROP_I2NP_UDP_PORT

    public static final java.lang.String PROP_I2NP_UDP_PORT

See Also:
  Constant Field Values

### PROP_I2NP_INTERNAL_UDP_PORT

    public static final java.lang.String PROP_I2NP_INTERNAL_UDP_PORT

See Also:
  Constant Field Values

### PROP_I2NP_NTCP_HOSTNAME

    public static final java.lang.String PROP_I2NP_NTCP_HOSTNAME

See Also:
  Constant Field Values

### PROP_I2NP_NTCP_PORT

    public static final java.lang.String PROP_I2NP_NTCP_PORT

See Also:
  Constant Field Values

### PROP_I2NP_NTCP_AUTO_PORT

    public static final java.lang.String PROP_I2NP_NTCP_AUTO_PORT

See Also:
  Constant Field Values

### PROP_I2NP_NTCP_AUTO_IP

    public static final java.lang.String PROP_I2NP_NTCP_AUTO_IP

See Also:
  Constant Field Values

### PROP_INBOUND_KBPS

    public static final java.lang.String PROP_INBOUND_KBPS

See Also:
  Constant Field Values

### PROP_OUTBOUND_KBPS

    public static final java.lang.String PROP_OUTBOUND_KBPS

See Also:
  Constant Field Values

### PROP_INBOUND_BURST_KBPS

    public static final java.lang.String PROP_INBOUND_BURST_KBPS

See Also:
  Constant Field Values

### PROP_OUTBOUND_BURST_KBPS

    public static final java.lang.String PROP_OUTBOUND_BURST_KBPS

See Also:
  Constant Field Values

### PROP_INBOUND_BURST

    public static final java.lang.String PROP_INBOUND_BURST

See Also:
  Constant Field Values

### PROP_OUTBOUND_BURST

    public static final java.lang.String PROP_OUTBOUND_BURST

See Also:
  Constant Field Values

### PROP_SHARE_PERCENTAGE

    public static final java.lang.String PROP_SHARE_PERCENTAGE

See Also:
  Constant Field Values

### DEFAULT_SHARE_PERCENTAGE

    public static final int DEFAULT_SHARE_PERCENTAGE

See Also:
  Constant Field Values

Constructor Detail

### ConfigNetHelper

    public ConfigNetHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getHostname

    public java.lang.String getHostname()

### getTcpPort

    public java.lang.String getTcpPort()

### getNtcphostname

    public java.lang.String getNtcphostname()

### getNtcpport

    public java.lang.String getNtcpport()

### getUdpAddress

    public java.lang.String getUdpAddress()

### getUdpIP

    public java.lang.String getUdpIP()

### getUdpPort

    public java.lang.String getUdpPort()

### getEnableTimeSyncChecked

    public java.lang.String getEnableTimeSyncChecked()

### getHiddenModeChecked

    public java.lang.String getHiddenModeChecked()

### getDynamicKeysChecked

    public java.lang.String getDynamicKeysChecked()

### getTcpAutoPortChecked

    public java.lang.String getTcpAutoPortChecked()

### getTcpAutoIPChecked

    public java.lang.String getTcpAutoIPChecked()

### getRequireIntroductionsChecked

    public java.lang.String getRequireIntroductionsChecked()

### getInboundRate

    public java.lang.String getInboundRate()

### getOutboundRate

    public java.lang.String getOutboundRate()

### getInboundBurstRate

    public java.lang.String getInboundBurstRate()

### getOutboundBurstRate

    public java.lang.String getOutboundBurstRate()

### getInboundBurstFactorBox

    public java.lang.String getInboundBurstFactorBox()

### getOutboundBurstFactorBox

    public java.lang.String getOutboundBurstFactorBox()

### getEnableLoadTesting

    public java.lang.String getEnableLoadTesting()

### getSharePercentageBox

    public java.lang.String getSharePercentageBox()

### getShareBandwidth

    public int getShareBandwidth()